Subject: Re: [Netconf] Notifications: Proposed Edits to ResolveDiscuss Issues

From: "Sharon Chisholm" <[email-masked]>
Date: Mon, 5 May 2008 08:06:28 -0400

Hi

Just to close this off. It seems we are converging on not adding the ISO
reference but just the RFC. (Note the RFC references the ISO
specification and attempts to remove some ambiguities). Just to clarify
what people want to do

1) Keep both references
2) Just have a reference to RFC3339
3) Just have a reference to RFC3339 section 4.4 and appendix A
4) Just have a reference to RFC3339 section 4.4
5) Just have a reference to RFC339 appendix A

Sharon

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of David B Harrington
Sent: Monday, April 28, 2008 1:28 PM
To: [email-masked]; 'Eliot Lear'
Cc: [email-masked]
Subject: Re: [Netconf] Notifications: Proposed Edits to ResolveDiscuss
Issues

I believe we should follow RFC3339 section 4.4

David Harrington
[email-masked]
[email-masked]
[email-masked]

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]] On Behalf Of Juergen Schoenwaelder
> Sent: Friday, April 25, 2008 7:44 AM
> TFrom [email-masked]  Mon May  5 05:09:40 2008
Content-class: urn:content-classes:message
Date: Mon, 5 May 2008 08:06:28 -0400
From: "Sharon Chisholm" <[email-masked]>
To: "David B Harrington" <[email-masked]>,
	<[email-masked]>, "Eliot Lear" <[email-masked]>
Cc: [email-masked]
Subject: Re: [Netconf] Notifications: Proposed Edits to ResolveDiscuss	Issues
Sender: [email-masked]

Hi

Just to close this off. It seems we are converging on not adding the ISO
reference but just the RFC. (Note the RFC references the ISO
specification and attempts to remove some ambiguities). Just to clarify
what people want to do

1) Keep both references
2) Just have a reference to RFC3339
3) Just have a reference to RFC3339 section 4.4 and appendix A
4) Just have a reference to RFC3339 section 4.4
5) Just have a reference to RFC339 appendix A

Sharon

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of David B Harrington
Sent: Monday, April 28, 2008 1:28 PM
To: [email-masked]; 'Eliot Lear'
Cc: [email-masked]
Subject: Re: [Netconf] Notifications: Proposed Edits to ResolveDiscuss
Issues

I believe we should follow RFC3339 section 4.4

David Harrington
[email-masked]
[email-masked]
[email-masked]

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]] On Behalf Of Juergen Schoenwaelder
> Sent: Friday, April 25, 2008 7:44 o: Eliot Lear
> Cc: [email-masked]
> Subject: Re: [Netconf] Notifications: Proposed Edits to ResolveDiscuss

> Issues
> 
> On Fri, Apr 25, 2008 at 01:29:57PM +0200, Eliot Lear wrote:
> > Hi Sharon,
> > 
> > This comment is largely bureaucratic:
> > 
> > > Proposed Edits
> > > --------------
> > >
> > > A. In section 2.1.1, for both instances and in section
> 2.2.1 Replace
> > >      This parameter is of type dateTime.
> > > With
> > >      This parameter is of type dateTime and compliant to
> [RFC3339] and
> > > [ISO.8601.1988].
> > >   
> > 
> > RFC 3339 specifically uses a subset of ISO.8601.1988.  As this 
> > discussion illustrates it is possible to construct times that are 
> > compliant with the latter and non-compliant with the
> former.  I believe
> > that ISO.8601.1988 is a superset of RFC 3339.  If you wish
> compliance
> > with "both", my recommendation would be to specify only
> ISO.8601.1988.  
> > This would meet Juergen's requirement of being able to specify an 
> > unqualified timezone.
> > 
> > ALTERNATIVELY, you could require times to be in
> ISO.8601.1988 format, as
> > specified in Appendix A of RFC 3339. 
> > 
> > Pointing at two standards covering the precise same
> specification is
> > just asking for a poke in the eye.
> 
> Good bureaucratic comment. Reading section 4.4 or RFC 3339, I should 
> probably shut up and be fine with requiring a timezone to be known
by
> a conforming device and then we can perhaps go with the RFC 3339 
> subset.
> 
> /js
> 
> -- 
> Juergen Schoenwaelder           Jacobs University Bremen gGmbH
> Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
> Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
> _______________________________________________
> Netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf
> 

_______________________________________________
Netconf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netconf
_______________________________________________
Netconf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netconf

AM
> To: Eliot Lear
> Cc: [email-masked]
> Subject: Re: [Netconf] Notifications: Proposed Edits to ResolveDiscuss

> Issues
> 
> On Fri, Apr 25, 2008 at 01:29:57PM +0200, Eliot Lear wrote:
> > Hi Sharon,
> > 
> > This comment is largely bureaucratic:
> > 
> > > Proposed Edits
> > > --------------
> > >
> > > A. In section 2.1.1, for both instances and in section
> 2.2.1 Replace
> > >      This parameter is of type dateTime.
> > > With
> > >      This parameter is of type dateTime and compliant to
> [RFC3339] and
> > > [ISO.8601.1988].
> > >   
> > 
> > RFC 3339 specifically uses a subset of ISO.8601.1988.  As this 
> > discussion illustrates it is possible to construct times that are 
> > compliant with the latter and non-compliant with the
> former.  I believe
> > that ISO.8601.1988 is a superset of RFC 3339.  If you wish
> compliance
> > with "both", my recommendation would be to specify only
> ISO.8601.1988.  
> > This would meet Juergen's requirement of being able to specify an 
> > unqualified timezone.
> > 
> > ALTERNATIVELY, you could require times to be in
> ISO.8601.1988 format, as
> > specified in Appendix A of RFC 3339. 
> > 
> > Pointing at two standards covering the precise same
> specification is
> > just asking for a poke in the eye.
> 
> Good bureaucratic comment. Reading section 4.4 or RFC 3339, I should 
> probably shut up and be fine with requiring a timezone to be known
by
> a conforming device and then we can perhaps go with the RFC 3339 
> subset.
> 
> /js
> 
> -- 
> Juergen Schoenwaelder           Jacobs University Bremen gGmbH
> Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
> Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
> _______________________________________________
> Netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf
> 

_______________________________________________
Netconf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netconf
_______________________________________________
Netconf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netconf

---

From: "Sharon Chisholm" <[email-masked]>
Date: Wed, 7 May 2008 09:31:10 -0400

Hi

If there is no objection to option 2 then I will make the change and
publish the updated draft.

Sharon 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Chisholm, Sharon (CAR:ZZ00)
Sent: Monday, May 05, 2008 8:06 AM
To: David B Harrington; [email-masked]; Eliot Lear
Cc: [email-masked]
Subject: Re: [Netconf] Notifications: Proposed Edits to ResolveDiscuss
Issues

Hi

1) Keep both references

Sharon

-----Original Message-----

David Harrington
[email-masked]
[email-masked]
[email-masked]

by

---

From: "Sharon Chisholm" <[email-masked]>
Date: Wed, 7 May 2008 09:31:10 -0400

Hi

Sharon 

-----Original Message-----

Hi

1) Keep both references

Sharon

-----Original Message-----

David Harrington
[email-masked]
[email-masked]
[email-masked]

by

---

From: "Bert Wijnen - IETF" <[email-masked]>
Date: Thu, 8 May 2008 22:05:00 +0200

I am OK with option 2

Bert Wijnen 

> -----Oorspronkelijk bericht-----
> Van: [email-masked] [mailto:[email-masked]]Namens
> Sharon Chisholm
> Verzonden: woensdag 7 mei 2008 15:31
> Aan: David B Harrington; [email-masked]; Eliot
> Lear
> CC: [email-masked]
> Onderwerp: Re: [Netconf] Notifications: Proposed Edits to ResolveDiscuss
> Issues
> 
> 
> Hi
> 
> From: netconFrom [email-masked]  Thu May  8 13:05:02 2008
From: "Bert Wijnen - IETF" <[email-masked]>
To: "Sharon Chisholm" <[email-masked]>,
	"David B Harrington" <[email-masked]>,
	<[email-masked]>, "Eliot Lear" <[email-masked]>
Date: Thu, 8 May 2008 22:05:00 +0200
Importance: Normal
Cc: [email-masked]
Subject: Re: [Netconf] Notifications: Proposed Edits to ResolveDiscuss	Issues
Sender: [email-masked]

I am OK with option 2

Bert Wijnen 

> -----Oorspronkelijk bericht-----
> Van: [email-masked] [mailto:[email-masked]]Namens
> Sharon Chisholm
> Verzonden: woensdag 7 mei 2008 15:31
> Aan: David B Harrington; [email-masked]; Eliot
> Lear
> CC: [email-masked]
> Onderwerp: Re: [Netconf] Notifications: Proposed Edits to ResolveDiscuss
> Issues
> 
> 
> Hi
> 
> From: [email-masked] [mailto:[email-masked]] On

[email-masked] [mailto:[email-masked]] On

---

From: Eliot Lear <[email-masked]>
Date: Sun, 11 May 2008 13:43:30 +0200

Greetings Sharon, and sorry for the delay (was on holiday),

As to the below, my rule would be simple: have one reference.  I 
understand Juergen's point, but I don't feel strongly as to which 
approach to take so long as it's one approach.
> 5) Just have a reference to RFC339 appendix A

And so I would be happy with [2], [4], or [5].

Eliot

---

From: Eliot Lear <[email-masked]>
Date: Sun, 11 May 2008 13:43:30 +0200

Eliot